Compatibility matrix for Automic APIs

Document created by Tim_Quakulinsky on Feb 19, 2019
Version 1Show Document
  • View in full screen mode

Automic provides several APIs to access the AE. Unfortunately the version compatibility is not consistent. For this reason, we have started to create an overview of which versions work with which AE versions or not. Perhaps you can provide more information so that we can get a comprehensive overview.

---

Automic bietet verschiedene APIs zum Zugriff auf die AE. Leider ist die Versionskompatibilität dabei nicht konsistent. Aus diesem Grund haben wir angefangen, eine Übersicht zu erstellen, welche Versionen mit welchen AE Versionen funktionieren oder auch nicht. Vielleicht könnt Ihr ja noch weitere Informationen liefern, so dass wir einen umfassenden Überblick erhalten.

 

Automation Engine 10.0.8Automation Engine 11.2Automation Engine 12.1Automation Engine 12.2Automation Engine 12.3
CallAPI for Java 10.0.7
OK
OK
???
CallAPI for Java 10.0.8
OK
OK
OK
??
CallAPI for Java 11.2
NOT OK
OK
NOT OK
??
CallAPI for Java 12.1
NOT OK
OK
OK
??
CallAPI for Java 12.2
NOT OK
OK
???
CallAPI for OS 10.0.8
OK
OK
OK
??
CallAPI for OS 11.2
OK
OK
OK
??
CallAPI for OS 12.1
OK
OK
OK
??
AE.ApplicationInterface 10.0.8
OK
NOT OK
NOT OK
??
AE.ApplicationInterface 11.2
OK
OK
NOT OK
??
AE.ApplicationInterface 12.1
OK
OK
OK
??

Attachments

    Outcomes